package com.lz.modules.sys.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*流转表
* @author quyixiao
* @since 2020-12-04
*/

@Data
@TableName("lz_print")
@ApiModel(value = "流转表")
public class Print implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //打印详情的url
    @ApiModelProperty(value = "打印详情的url", name = "url")
    private String url;
    //备注
    @ApiModelProperty(value = "备注", name = "remark")
    private String remark;
    //打印批次号
    @ApiModelProperty(value = "打印批次号", name = "batchNo")
    private String batchNo;
    //0未打印，1打印成功，2打印失败
    @ApiModelProperty(value = "0未打印，1打印成功，2打印失败", name = "status")
    private Integer status;
    //生成图片上传阿里云url
    @ApiModelProperty(value = "生成图片上传阿里云url", name = "imageUrl")
    private String imageUrl;
    //0不生成图片，1生成图片
    @ApiModelProperty(value = "0不生成图片，1生成图片", name = "isImage")
    private Integer isImage;
    //0不打印，1 打印
    @ApiModelProperty(value = "0不打印，1 打印", name = "isPrint")
    private Integer isPrint;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 打印详情的url 
     * @return
     */
    public String getUrl() {
        return url;
    }
    /**
     * 打印详情的url 
     * @param url
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 打印批次号 
     * @return
     */
    public String getBatchNo() {
        return batchNo;
    }
    /**
     * 打印批次号 
     * @param batchNo
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 0未打印，1打印成功，2打印失败 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0未打印，1打印成功，2打印失败 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 生成图片上传阿里云url 
     * @return
     */
    public String getImageUrl() {
        return imageUrl;
    }
    /**
     * 生成图片上传阿里云url 
     * @param imageUrl
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    /**
     * 0不生成图片，1生成图片 
     * @return
     */
    public Integer getIsImage() {
        return isImage;
    }
    /**
     * 0不生成图片，1生成图片 
     * @param isImage
     */
    public void setIsImage(Integer isImage) {
        this.isImage = isImage;
    }

    /**
     * 0不打印，1 打印 
     * @return
     */
    public Integer getIsPrint() {
        return isPrint;
    }
    /**
     * 0不打印，1 打印 
     * @param isPrint
     */
    public void setIsPrint(Integer isPrint) {
        this.isPrint = isPrint;
    }

    @Override
    public String toString() {
        return "Print{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",url=" + url +
                ",remark=" + remark +
                ",batchNo=" + batchNo +
                ",status=" + status +
                ",imageUrl=" + imageUrl +
                ",isImage=" + isImage +
                ",isPrint=" + isPrint +
                "}";
    }
}